#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['pasee',
 'pasee.groups',
 'pasee.identity_providers',
 'pasee.storage_backend',
 'pasee.storage_backend.demo_backend',
 'pasee.storage_backend.pgsql_backend',
 'pasee.tokens',
 'pasee.users',
 'pasee.vendor',
 'pasee.vendor.coreapi',
 'pasee.vendor.coreapi.codecs',
 'pasee.vendor.coreapi.transports',
 'pasee.vendor.coreschema',
 'pasee.vendor.coreschema.encodings',
 'pasee.vendor.itypes']

package_data = \
{'': ['*'],
 'pasee.vendor.coreschema': ['templates/*',
                             'templates/bootstrap3/*',
                             'templates/bootstrap3/inputs/*']}

install_requires = \
['aioauth-client',
 'aiohttp',
 'aiohttp-cors',
 'asyncpg',
 'cryptography',
 'jinja2',
 'pyjwt',
 'pytoml',
 'shortuuid']

extras_require = \
{'dev': ['aioresponses',
         'astroid',
         'bandit',
         'black',
         'flake8',
         'freezegun',
         'mypy',
         'pylint',
         'pytest',
         'pytest-aiohttp',
         'pytest-asyncio',
         'pytest-cov']}

entry_points = \
{'console_scripts': ['pasee = pasee.__main__:main']}

setup(name='pasee',
      version='19.11.0',
      description='HTTP server managing users.',
      author='Julien Palard',
      author_email='julien@python.org',
      url='https://github.com/meltygroup/pasee',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.6',
     )
